package com.hw.mes.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 工序关联人员对象 mes_base_process_user
 * 
 * @author Yinq
 * @date 2024-01-29
 */
public class MesBaseProcessUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工序ID，关联工序主键 */
    private Long processId;

    /** 用户ID，关联用户主键 */
    private Long userId;

    /** 用户名称，关联sys_user的user_name */
    @Excel(name = "用户名称")
    private String userName;

    public void setProcessId(Long processId) 
    {
        this.processId = processId;
    }

    public Long getProcessId() 
    {
        return processId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("processId", getProcessId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
